> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 视频生成模型

> 接口说明：获取当前可用的视频生成模型目录，以及每个模型支持的模式、分辨率、画面比例、时长、参考媒体限制、默认参数和价格。模型与参数范围可能随服务更新，调用视频生成接口时请以本接口的实时返回值为准。

本接口只查询模型目录，不会创建视频生成任务；需要生成视频时，请调用[「生成视频」](/api-reference/post-api-ai-video-generations)接口。

`modes` 字段的常量含义与典型输入参数，请参阅[「视频生成 modes 常量说明」](/zh/use/video-generation#modes-常量说明)。



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json get /api/ai/models/video/generation
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
  - name: AI 服务/大语言模型
  - name: AI 服务/真人素材
  - name: AI 服务/Agent
paths:
  /api/ai/models/video/generation:
    get:
      tags:
        - AI 服务/视频生成
      summary: 视频生成模型
      description: >-
        接口说明：获取当前可用的视频生成模型目录，以及每个模型支持的模式、分辨率、画面比例、时长、参考媒体限制、默认参数和价格。模型与参数范围可能随服务更新，调用视频生成接口时请以本接口的实时返回值为准。


        本接口只查询模型目录，不会创建视频生成任务；需要生成视频时，请调用[「生成视频」](/api-reference/post-api-ai-video-generations)接口。


        `modes` 字段的常量含义与典型输入参数，请参阅[「视频生成 modes
        常量说明」](/zh/use/video-generation#modes-常量说明)。
      operationId: VideoController_getVideoGenerationModels
      parameters: []
      responses:
        '200':
          description: 请求已被服务处理。业务是否成功以响应体 code === 0 为准。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: 当前可用的视频生成模型列表。模型、能力、参数范围和价格可能随服务更新，请以每次接口返回为准。
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: 模型名称
                        label:
                          type: string
                          description: 模型展示名称
                        description:
                          type: string
                          description: 模型描述
                        tags:
                          type: array
                          items:
                            type: string
                          description: 标签列表
                        creditsScope:
                          type: string
                          enum:
                            - general
                            - seedance
                          description: >-
                            模型使用的积分范围。`general` 表示普通积分，`seedance` 表示 Seedance
                            专用积分。
                        modes:
                          type: array
                          items:
                            type: string
                            enum:
                              - text2video
                              - image2video
                              - flf2video
                              - multi-image2video
                              - multi-ref
                              - video2video
                          description: 支持的模式
                        resolutions:
                          type: array
                          items:
                            type: string
                          description: 支持的视频分辨率列表
                        durations:
                          type: array
                          items:
                            type: integer
                          description: 支持的视频时长列表，单位为秒
                        maxInputImages:
                          type: integer
                          description: 模型允许的最大输入图片数量
                        inputConstraints:
                          type: object
                          properties:
                            images:
                              type: object
                              properties:
                                maxCount:
                                  type: integer
                                  description: 最大输入数量
                              additionalProperties: false
                              description: 图片输入约束
                            videos:
                              type: object
                              properties:
                                maxCount:
                                  type: integer
                                  description: 最大输入数量
                                formats:
                                  description: 支持的文件格式
                                  type: array
                                  items:
                                    type: string
                                minDuration:
                                  description: 最小时长（秒）
                                  type: number
                                maxDuration:
                                  description: 单个文件最大时长（秒）
                                  type: number
                                maxTotalDuration:
                                  description: 总最大时长（秒）
                                  type: number
                                maxSizeMb:
                                  description: 单个文件最大大小（MB）
                                  type: number
                                minAspectRatio:
                                  description: 最小宽高比
                                  type: number
                                maxAspectRatio:
                                  description: 最大宽高比
                                  type: number
                                minWidth:
                                  type: integer
                                  description: 最小宽度
                                maxWidth:
                                  type: integer
                                  description: 最大宽度
                                minPixels:
                                  type: integer
                                  description: 最小像素数
                                maxPixels:
                                  type: integer
                                  description: 最大像素数
                                minFps:
                                  description: 最小帧率
                                  type: number
                                maxFps:
                                  description: 最大帧率
                                  type: number
                              additionalProperties: false
                              description: 视频输入约束
                            audios:
                              type: object
                              properties:
                                maxCount:
                                  type: integer
                                  description: 最大输入数量
                                formats:
                                  description: 支持的文件格式
                                  type: array
                                  items:
                                    type: string
                                minDuration:
                                  description: 最小时长（秒）
                                  type: number
                                maxDuration:
                                  description: 单个文件最大时长（秒）
                                  type: number
                                maxTotalDuration:
                                  description: 总最大时长（秒）
                                  type: number
                                maxSizeMb:
                                  description: 单个文件最大大小（MB）
                                  type: number
                              additionalProperties: false
                              description: 音频输入约束
                          additionalProperties: false
                          description: 多模态输入约束
                        aspectRatios:
                          type: array
                          items:
                            type: string
                          description: 支持的宽高比列表
                        defaults:
                          type: object
                          properties:
                            resolution:
                              type: string
                              description: 默认视频分辨率
                            aspectRatio:
                              type: string
                              description: 默认视频宽高比
                            duration:
                              type: integer
                              description: 默认视频时长，单位为秒
                          additionalProperties: false
                          description: 默认值
                        pricing:
                          type: array
                          items:
                            type: object
                            properties:
                              resolution:
                                type: string
                                description: 该价格项适用的视频分辨率
                              mode:
                                type: string
                                description: 该价格项适用的生成模式
                              duration:
                                type: integer
                                description: 该价格项适用的视频时长，单位为秒
                              price:
                                type: number
                                description: 当前价格值
                              originPrice:
                                type: number
                                description: 原价值
                            additionalProperties: false
                          description: 价格表
                      additionalProperties: false
                  code:
                    type: integer
                    description: 业务状态码。0 表示成功，非 0 表示业务错误。
                  message:
                    type: string
                    description: 响应消息。
                  requestId:
                    type: string
                    description: 请求 ID。
                  timestamp:
                    type: integer
                    description: 错误响应时间戳，Unix 毫秒。
              examples:
                types:
                  value:
                    code: integer
                    message: string
                    data:
                      - name: string
                        label: string
                        description: string
                        tags:
                          - string
                        creditsScope: string
                        modes:
                          - string
                        resolutions:
                          - string
                        durations:
                          - number
                        maxInputImages: number
                        inputConstraints:
                          images:
                            maxCount: number
                          videos:
                            maxCount: number
                            formats:
                              - string
                            minDuration: number
                            maxDuration: number
                            maxTotalDuration: number
                            maxSizeMb: number
                            minAspectRatio: number
                            maxAspectRatio: number
                            minWidth: number
                            maxWidth: number
                            minPixels: number
                            maxPixels: number
                            minFps: number
                            maxFps: number
                          audios:
                            maxCount: number
                            formats:
                              - string
                            minDuration: number
                            maxDuration: number
                            maxTotalDuration: number
                            maxSizeMb: number
                        aspectRatios:
                          - string
                        defaults:
                          resolution: string
                          aspectRatio: string
                          duration: number
                        pricing:
                          - resolution: string
                            mode: string
                            duration: number
                            price: number
                            originPrice: number
      deprecated: false
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.